Subject: Re: linux-next: build failure after merge of the gpio-brgl tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 25 Feb 2024 12:58:15 +1100

Hi Bartosz,

On Fri, 23 Feb 2024 08:51:10 +0100 Bartosz Golaszewski <[email-masked]> wrote:
>
> On Fri, 23 Feb 2024 at 04:33, Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the gpio-brgl tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> >
> > x86_64-linux-gnu-ld: vmlinux.o: in function `bgpio_write64':
> > gpio-mmio.c:(.text+0x1489427): undefined reference to `iowrite64'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `bgpio_read64':
> > gpio-mmio.c:(.text+0x14894a0): undefined reference to `ioread64'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `bgpio_write64be':
> > gpio-mmio.c:(.text+0x1489527): undefined reference to `iowrite64be'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `bgpio_read64be':
> > gpio-mmio.c:(.text+0x14895a0): undefined reference to `ioread64be'
> >
> > Caused by commit
> >
> >   36e44186e0ba ("gpio: mmio: Support 64-bit BE access")
> 
> I'm not seeing this issue with allmodconfig on x86_64, could you give
> me some more information on the build environment?

These builds are cross builds using Debian's cross compilers on a ppc64le host.

$ x86_64-linux-gnu-gcc --version
x86_64-linux-gnu-gcc (Debian 13.2.0-7) 13.2.0
$ x86_64-linux-gnu-ld --version
GNU ld (GNU Binutils for Debian) 2.41

-- 
Cheers,
Stephen Rothwell